Skip to main content
API referenceAgents

Agent Catalog Subnet

Last updated

GET
/api/v1/agent-catalog/{netuid}

Fetch the callable-services catalog for one subnet (each service with its schema + health).

Path Parameters

netuid*integer
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/agent-catalog/0"
{  "data": {    "agent_readiness": {      "blocker_level": "none",      "blockers": [        {          "code": "example",          "field": "example",          "message": "example",          "next_action": "example",          "severity": "hard"        }      ],      "missing_fields": [        "example"      ],      "status": "callable"    },    "categories": [      "example"    ],    "completeness_score": 100,    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "integration_readiness": 1,    "name": "Example Subnet",    "netuid": 7,    "notes": "Example description.",    "previously_known_as": [      "example"    ],    "readiness": {      "components": {},      "readiness_tier": "buildable",      "readiness_verified": false,      "readiness_version": 1,      "score": 100    },    "schema_version": 1,    "service_count": 1,    "services": [      {        "base_url": "https://api.metagraph.sh/example",        "kind": "example",        "surface_id": "example"      }    ],    "slug": "example-subnet",    "subnet_type": "example"  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}
Empty
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}